Bug 212490 - [heapwalker] Incorrectly displayed classname when low space
[heapwalker] Incorrectly displayed classname when low space
Status: RESOLVED FIXED
Product: profiler
Classification: Unclassified
Component: Base
7.1
All All
: P4 (vote)
: 7.2
Assigned To: Jiri Sedlacek
issues@profiler
bugdb_13997685
: VISUALVM
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-14 15:28 UTC by Jiri Sedlacek
Modified: 2012-09-27 15:37 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
Screenshot of the problem (16.40 KB, image/png)
2012-05-14 15:28 UTC, Jiri Sedlacek
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jiri Sedlacek 2012-05-14 15:28:34 UTC
Created attachment 119436 [details]
Screenshot of the problem

Instances view, the class name in top banner displays over the additional information for low width (see the screenshot).

Class name should be truncated by "...", ideally from the left to truncate the package.
Comment 1 Jiri Sedlacek 2012-07-23 14:45:54 UTC
Fixed by http://hg.netbeans.org/profiler-main/rev/5448d53cc7ae.
Comment 2 Quality Engineering 2012-07-24 16:34:07 UTC
Integrated into 'main-golden', will be available in build *201207241500* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/5448d53cc7ae
User: Jiri Sedlacek <jis@netbeans.org>
Log: Bugfix #212490 - improved classname bar layout in HeapWalker


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo